#ifndef CONTROLBRIGHTNESSMANUALWIDGET_H
#define CONTROLBRIGHTNESSMANUALWIDGET_H

#include <QWidget>
#include <wDevicesManager/ledcard.h>
#include <communication/hpptclient.h>
#include <LoUIClass/loemptydialog.h>
namespace Ui {
class ControlBrightnessManualWidget;
}

class ControlBrightnessManualWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ControlBrightnessManualWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlBrightnessManualWidget();
private:
    Ui::ControlBrightnessManualWidget *ui;
protected slots:
     void OnClickSet();
     void OnManualReadbackBrightness();
     void refreshLable();
//类似的控制操作信号和槽函数和变量定义
signals:
    void sigSend(QJsonObject &,QString);
protected slots:
    void DeletePostingDlg();
    void OnProHttpResponse(QString url, QString postMD5, QByteArray data);
    void OnProHttpResponseAll(QString url, QString postMD5, QByteArray data);
    void onSelectedDeviceList(QList<LedCard*> *);
    void onReadbackAllThisPage();
    void OnControlTypeSwitchIndexChanged(int index);
private:
    QList<LedCard *> *m_pLedlist=nullptr;
    LedCard   *m_pLedCard = nullptr;
    LedCard   *m_oldLedlist = nullptr;
    HpptClient *pHpptClient = nullptr;
    HpptClient *pHpptClientAll = nullptr;
    QString m_strUrl="";
    LoEmptyDialog * m_PostingDlg=nullptr;
    QTimer *m_pGetAskTimer=nullptr;
    bool m_bSelected=false;
};

#endif // CONTROLBRIGHTNESSMANUALWIDGET_H
